Subject: Re: [TG3] Always load TSO firmware

From: Jeff Garzik <[email-masked]>
Date: Thu, 20 Nov 2003 12:41:17 -0500

David S. Miller wrote:
> On Thu, 20 Nov 2003 20:56:05 +1100
> Herbert Xu <[email-masked]> wrote:
> 
> 
>>OK, I've cross-checked with the Broadcom drivers and the problem seems
>>to be specific to 5705 A1 which is the chipset in question.
>>
>>The Broadcom drivers limit the number of rx descriptors to 63 while
>>tg3.c only limits it to 64.  It has been confirmed that lowering
>>the limit makes the problem go away.
>>
>>Here is the patch.
> 
> 
> Great work.
> 
> Jeff, please push this around.  I think it's serious enough for
> 2.4.23-rcX personally.

Will do, though I first need to check and see if non-power-of-two has 
any implications in the implementation...

	Jeff